PBEKey (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.interfaces
Interface PBEKey

All Superinterfaces:
  Key, SecretKey, Serializable

public interface PBEKey
extends SecretKey

The interface to a PBE key.

Since:
  1.4
See Also:
  `PBEKeySpec`, `SecretKey`

Field Summary

Fields inherited from interface java.security.Key
`serialVersionUID`

Method Summary
`int` | `getIterationCount()` Returns the iteration count or 0 if not specified.
`char[]` | `getPassword()` Returns the password.
`byte[]` | `getSalt()` Returns the salt or null if not specified.

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Method Detail

### getPassword

    public char[] getPassword()

  Returns the password.

  Note: this method should return a copy of the password. It is the caller's responsibility to zero out the password information after it is no longer needed.

  Returns:
    the password.

### getSalt

    public byte[] getSalt()

  Returns the salt or null if not specified.

  Note: this method should return a copy of the salt. It is the caller's responsibility to zero out the salt information after it is no longer needed.

  Returns:
    the salt.

### getIterationCount

    public int getIterationCount()

  Returns the iteration count or 0 if not specified.

  Returns:
    the iteration count.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.